Every Meta ads metric for the range with the previous range, the change and a daily sparkline
GET
/api/public/v1/meta_ads/overviewConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getMetaAdsOverview
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/meta_ads/overview" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer | |
| start_date | query | string (date) | |
| end_date | query | string (date) | |
| q | query | string | |
| ads | query | string | One of allactivewith_gmv |
| creator_ids | query | string | |
| campaign_ids | query | string | |
| ad_set_ids | query | string | |
| product_tags | query | string | |
| launched | query | string | One of 71430 |
| quick_view | query | string | One of scalingburningfatiguingnew |
| purchase_value_min | query | number | |
| purchase_value_max | query | number | |
| cpa_min | query | number | |
| cpa_max | query | number | |
| spend_min | query | number | |
| spend_max | query | number | |
| roas_min | query | number | |
| roas_max | query | number | |
| ctr_min | query | number | |
| ctr_max | query | number | |
| thumbstop_min | query | number | |
| thumbstop_max | query | number |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| availability | object | |
| availability.creator_earnings | boolean | |
| availability.last_click_revenue | boolean | |
| date_range | object | |
| date_range.end_date | string (date) | |
| date_range.start_date | string (date) | |
| metrics | object | |
| previous_range | object | |
| previous_range.end_date | string (date) | |
| previous_range.start_date | string (date) | |
| success | boolean |
Example
{
"availability": {
"creator_earnings": true,
"last_click_revenue": true
},
"date_range": {
"end_date": "2026-11-01",
"start_date": "2026-11-01"
},
"metrics": {},
"previous_range": {
"end_date": "2026-11-01",
"start_date": "2026-11-01"
},
"success": true
}Errors: 401404422429with an error and usually a message. See errors.
Example values are made up from each field's type and name.